io.milvus.bulkwriter.connect

## Class AzureConnectParam.Builder

- java.lang.Object
- - io.milvus.bulkwriter.connect.AzureConnectParam.Builder

- Enclosing class:
    AzureConnectParam

      public static final class AzureConnectParam.Builder
      extends java.lang.Object

  Builder for `AzureConnectParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AzureConnectParam` | `build()` Verifies parameters and creates a new `AzureConnectParam` instance.
    `AzureConnectParam.Builder` | `withAccountUrl(@NonNull java.lang.String accountUrl)`
    `AzureConnectParam.Builder` | `withConnStr(@NonNull java.lang.String connStr)`
    `AzureConnectParam.Builder` | `withContainerName(@NonNull java.lang.String containerName)`
    `AzureConnectParam.Builder` | `withCredential(@NonNull com.azure.core.credential.TokenCredential credential)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withContainerName

          public AzureConnectParam.Builder withContainerName(@NonNull
                                                             @NonNull java.lang.String containerName)

      Parameters:
        `containerName` - The target container name
      Returns:
        `Builder`

    - #### withConnStr

          public AzureConnectParam.Builder withConnStr(@NonNull
                                                       @NonNull java.lang.String connStr)

      Parameters:
        `connStr` - A connection string to an Azure Storage account, which can be parsed to an account_url and a credential. To generate a connection string, read this link: ...
      Returns:
        `Builder`

    - #### withAccountUrl

          public AzureConnectParam.Builder withAccountUrl(@NonNull
                                                          @NonNull java.lang.String accountUrl)

      Parameters:
        `accountUrl` - A string in format like "https://[storage-account].blob.core.windows.net" Read this link for more info: ...
      Returns:
        `Builder`

    - #### withCredential

          public AzureConnectParam.Builder withCredential(@NonNull
                                                          @NonNull com.azure.core.credential.TokenCredential credential)

      Parameters:
        `credential` - Account access key for the account, read this link for more info: ...
      Returns:
        `Builder`

    - #### build

          public AzureConnectParam build()
                                  throws ParamException

      Verifies parameters and creates a new `AzureConnectParam` instance.
      Returns:
        `AzureConnectParam`
      Throws:
        `ParamException`